@import './../../../../../node_modules/bulma/sass/utilities/_all.sass';
@import './../../../../scss/variables.scss';

.access-restreint {
  background-color: $grey-background-color;
  padding: 1rem;
  font-weight: 600;
  flex-grow: 1;

  .access-restreint-message {
    display: flex;

    .picto-warning {
      margin-right: 0.5rem;

      svg {
        width: 16px;
        height: 14px;
      }

      path {
        fill: $tomato-color;
      }
    }

    span {
      color: $tomato-color;
    }
  }

  a:hover {
    text-decoration: none;
  }

  .access-restreint-button button {
    background: $tomato-color;
    color: white;
    font-weight: 600;
    border-radius: 4px;
    margin-right: 0.5rem;
    margin-top: 1rem;
    padding-left: 2em;
    padding-right: 2em;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
    height: 3em;
  }
}

@media screen and (min-width: $tablet) {
  .access-restreint {
    max-width: unset;
    display: flex;
    justify-content: space-between;
    align-items: center;

    .access-restreint-message {
      display: flex;
      width: 60%;
      margin-left: 0.5rem;

      .picto-warning {
        margin-right: 0.5rem;
      }
    }

    .access-restreint-button button {
      font-weight: 600;
      border-radius: 4px;
      margin-right: 0.5rem;
      margin-top: 0;
    }
  }
}
